Page MenuHomePhabricator

code cleanup: remove deprecation warning for -dry option in basic.py
Closed, ResolvedPublic

Description

-dry option is deprecated since 24.01.2016. pywikibot.BaseBot always prints the warning WARNING: dry is not a valid option. It was ignored. but the deprecated warning is hidden by default.

I propose to show a FutureWarning now and remove that additional warning message shortly.

Event Timeline

Xqt created this task.Sep 22 2018, 4:12 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptSep 22 2018, 4:12 PM
Xqt triaged this task as Lowest priority.Sep 22 2018, 4:13 PM

Change 462142 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [cleanup] Always show deprecation warning for -dry option in basic.py

https://gerrit.wikimedia.org/r/462142

Change 462144 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [cleanup] Remove handling of old -dry parameter

https://gerrit.wikimedia.org/r/462144

Change 462142 merged by jenkins-bot:
[pywikibot/core@master] [cleanup] Always show deprecation warning for -dry option in basic.py

https://gerrit.wikimedia.org/r/462142

Xqt renamed this task from code cleanup: remove deprecation warning for -dry option in to code cleanup: remove deprecation warning for -dry option in basic.py.Sep 23 2018, 8:12 AM
Xqt changed the task status from Open to Stalled.
D3r1ck01 moved this task from Backlog to Needs Review on the Pywikibot board.Oct 14 2018, 3:38 PM

Change 462144 merged by jenkins-bot:
[pywikibot/core@master] [cleanup] Remove handling of old -dry parameter

https://gerrit.wikimedia.org/r/462144

Mpaa closed this task as Resolved.Jan 5 2019, 4:49 PM